import { html as a } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, i = (p, t, o, s) => {
  for (var e = s > 1 ? void 0 : s ? v(t, o) : t, c = p.length - 1, n; c >= 0; c--)
    (n = p[c]) && (e = (s ? n(t, o, e) : n(e)) || e);
  return s && e && m(t, o, e), e;
};
let r = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--sync", this.class = "c-pieIcon c-pieIcon--sync", this.name = "IconSync";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--sync"><path d="M8.875 2.164A5.906 5.906 0 0 1 13.906 8a5.845 5.845 0 0 1-1.75 4.174l-.927-.928a4.587 4.587 0 0 0 0-6.492 4.507 4.507 0 0 0-2.354-1.251V4.78L6.25 2.75 8.875 1v1.164ZM3.406 8a4.568 4.568 0 0 0 1.348 3.246 4.506 4.506 0 0 0 2.371 1.252V11.22l2.625 2.03L7.125 15v-1.164A5.906 5.906 0 0 1 2.094 8a5.845 5.845 0 0 1 1.75-4.174l.91.928A4.567 4.567 0 0 0 3.406 8Z"></path></svg>`;
  }
};
i([
  l({ type: String, reflect: !0 })
], r.prototype, "size", 2);
i([
  l({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = i([
  h("icon-sync")
], r);
export {
  r as IconSync
};
